using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using Telerik.Web.UI.Upload;
using System.IO;

public partial class ProgressAreaVisibleAfterUploadFinish : System.Web.UI.Page
{
    private void Page_Load(object sender, System.EventArgs e)
    {
        if (!IsPostBack)
        {
            //Do not display SelectedFilesCount progress indicator.
            RadProgressArea1.ProgressIndicators &= ~ProgressIndicators.SelectedFilesCount;

            RadProgressContext progress = RadProgressContext.Current;
            //Prevent the secondary progress from appearing when the file is uploaded (FileCount etc.)
            progress["PrimaryTotal"] = "0";
            progress["PrimaryValue"] = "0";
            progress["PrimaryPercent"] = "0";
        }

    }

    protected void Button1_Click(object sender, System.EventArgs e)
    {
        if (RadUpload1.UploadedFiles.Count != 0)
        {
            LooongMethodWhichUpdatesTheProgressContext(RadUpload1.UploadedFiles[0]);
        }
    }

    private void LooongMethodWhichUpdatesTheProgressContext(UploadedFile file)
    {
        int total = file.ContentLength;

        RadProgressContext progress = RadProgressContext.Current;
        progress["PrimaryTotal"] = string.Format("{0} bytes", file.ContentLength);
        progress["PrimaryValue"] = string.Format("{0} bytes", file.ContentLength);
        progress["PrimaryPercent"] = "100";
        progress["CurrentOperationText"] = file.GetName();
        progress["SecondaryTotal"] = string.Format("{0} file(s)", 1);
        progress["SecondaryValue"] = string.Format("{0} file(s)", 1);
        progress["SecondaryPercent"] = "100";
        StringWriter writer = new StringWriter();
        progress.Serialize(writer);

        string script = string.Format(@"function displayProgressAreas() {{ {1};$find('{0}').update(rawProgressData);}}",
                         RadProgressArea1.ClientID, writer.GetStringBuilder().ToString());
        string script1 = "Sys.Application.add_load(function(){ displayProgressAreas();});";
        string script2 = String.Concat("<script type='text/javascript'> ", script, script1, " </script>");

        ClientScript.RegisterStartupScript(this.GetType(), "DisplayProgressAreas", script2, false);

    }
}
